<?php
    include './conexion.php';
    $anio=$_POST['anio'];
    $semana=$_POST['semana'];

    $dato=null;

    $dato.='
    <label>Periodo:<br>
    <select id="periodo" onchange="obtenerUbicacion()">';
    $dato.='<option value="0">--Selecciona--</option>';
        $sqlunidad=mysqli_query($connection,"select * from periodos where anio='".$anio."' order by semana DESC");
        while($data=mysqli_fetch_array($sqlunidad)){

            $sqlsem=mysqli_query($connection,"select * from movs where anio='".$anio."' and sem='".$data['semana']."' order by semana ASC");
            $resultx=mysqli_num_rows($sqlsem);
            if($resultx>0){
                $dato.='<option value="'.$data['semana'].'">'.$data['periodo'].'</option>';
            }
            /*if($semana==$data['semana']){
                //echo $data['fechaInicial']."1";
                $dato.='<option selected value="'.$data['semana'].'">'.$data['periodo'].'</option>';
            }
            else{*/
                //echo $data['fechaInicial']."2";
                //$dato.='<option value="'.$data['semana'].'">'.$data['periodo'].'</option>';
            //}
            
        }
            


        $dato.='</select>';

        $dato.="
        
        <script>
        function obtenerUbicacion(){

        var anio = $('#anio').val();
        var semana = $('#periodo').val();
        //alert(semana);
        obtenerSupervisor();
            obtenerLugar();
            $('#checadas').html(''); // Corregido el selector ID
    $.ajax({
        type: 'POST',
        url: 'obtenerUbicacion.php', // Aquí debes poner la URL de tu script PHP para obtener los datos
        data: { anio: anio,semana:semana }, // Pasamos los datos correctamente como un objeto
        success: function(msg) {
            var response = JSON.parse(msg);      
            $('#ubicacionx').html(response.respuesta); // Corregido el selector ID
        },
        error: function(xhr, status, error) {
            console.error(xhr.responseText);
            $('#ubicacionx').html('<span style=\"color:red;\">Error en la solicitud AJAX.</span>'); // Corregido el selector ID
        }
    });

        }

        function obtenerSupervisor(){

        var anio = $('#anio').val();
        var semana = $('#periodo').val();
        var ubicacion = $('#ubicacion').val();
        //alert(semana);
        $('#checadas').html(''); // Corregido el selector ID
    $.ajax({
        type: 'POST',
        url: 'obtenerSupervisor.php', // Aquí debes poner la URL de tu script PHP para obtener los datos
        data: { anio: anio,semana:semana,ubicacion:ubicacion }, // Pasamos los datos correctamente como un objeto
        success: function(msg) {
            var response = JSON.parse(msg);      
            $('#supervisorx').html(response.respuesta); // Corregido el selector ID
        },
        error: function(xhr, status, error) {
            console.error(xhr.responseText);
            $('#supervisorx').html('<span style=\"color:red;\">Error en la solicitud AJAX.</span>'); // Corregido el selector ID
        }
    });
    }
    function obtenerLugar(){

        var anio = $('#anio').val();
        var semana = $('#periodo').val();
        var supervisor = $('#supervisor').val();
        //alert(supervisor);
        $('#checadas').html(''); // Corregido el selector ID
        $('#lugarzx').html(''); // Corregido el selector ID
    $.ajax({
        type: 'POST',
        url: 'obtenerLugar.php', // Aquí debes poner la URL de tu script PHP para obtener los datos
        data: { anio: anio,semana:semana,supervisor:supervisor }, // Pasamos los datos correctamente como un objeto
        success: function(msg) {
            var response = JSON.parse(msg);      
            $('#lugarx').html(response.respuesta); // Corregido el selector ID
        },
        error: function(xhr, status, error) {
            console.error(xhr.responseText);
            $('#lugarx').html('<span style=\"color:red;\">Error en la solicitud AJAX.</span>'); // Corregido el selector ID
        }
    });

        }

        function obtenerLugarz(){
        var lugar = $('#lugar').val();
        $('#checadas').html(''); // Corregido el selector ID
        $.ajax({
            type: 'POST',
            url: 'obtenerLugarz.php', // Aquí debes poner la URL de tu script PHP para obtener los datos
            data: { lugar:lugar }, // Pasamos los datos correctamente como un objeto
            success: function(msg) {
                var response = JSON.parse(msg);      
                $('#lugarzx').html(response.respuesta); // Corregido el selector ID
            },
            error: function(xhr, status, error) {
                console.error(xhr.responseText);
                $('#lugarzx').html('<span style=\"color:red;\">Error en la solicitud AJAX.</span>'); // Corregido el selector ID
            }
        });

        }
        

        window.onload = function() {
            
            obtenerUbicacion();
            
        };
        </script>
        ";

        $mensaje = array(
            'respuesta' => $dato
        );
            
        echo json_encode($mensaje);		